Get Time Zones

Retrieves a list of time zones available on the system along with their relevant details.
With this endpoint, you can search for specific time zones, paginate results, and sort the data as needed.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

A two-letter ISO 3166-1 alpha-2 code that represents a specific country.
This parameter is used to filter the list of time zones returned by the API, allowing users to retrieve only the time zones that are associated with the specified country.

string

A string representing the term or keywords used to filter the list of time zones, helping users to narrow down the list based on their input.

int32
1 to 2147483647
Defaults to 100

An integer that defines the maximum number of time zone records returned per page in the response.
For instance, if pageSize is set to 20, the API will return up to 20 time zones in each response.


Note: By default, this value is set to 100.

int32
1 to 2147483647
Defaults to 1

An integer indicating the specific page of results to retrieve, allowing for pagination of larger datasets.
For example, if pageNumber is set to 3, the API will return the results corresponding to the third page of locations based on the specified pageSize.


Note: By default, this value is set to 1.

string
enum

A string specifying the field by which to organise the search results.
For instance, "TimeZoneName" could be used to sort countries alphabetically, arranging the results in a more user-friendly order.

Note: By default, this value is set to CountryCode.

Enum [TimeZoneName, Country, CountryCode]

Allowed:
string
enum

A string indicating the direction in which to sort the results, typically set to "ascending" or "descending".
For example, setting sortDir to "Ascending" while using "CountryName" as sortBy would arrange the countries from A to Z.

Note: By default, this value is set to Ascending.

Enum [Ascending, Descending]

Allowed:
Responses

401

Unauthorized

403

Forbidden

404

The country code does not exist.

500

Internal Server Error

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json